Description: Correct some typographical and grammatical errors.
Forwarded: no
Author: Peter Pentchev <roam@ringlet.net>
Last-Update: 2021-08-19

--- a/src/normal.cc
+++ b/src/normal.cc
@@ -481,7 +481,7 @@
                     {
                         if (cmdline.length() == 1 and is_horizontal_blank(cmdline[0_byte]))
                             context.client().info_show("prompt",
-                                                       "commands preceded by a blank wont be saved to history",
+                                                       "commands preceded by a blank won't be saved to history",
                                                        {}, InfoStyle::Prompt);
                         else if (info and not info->info.empty())
                             context.client().info_show(info->name, info->info, {}, InfoStyle::Prompt);
--- a/src/shell_manager.cc
+++ b/src/shell_manager.cc
@@ -264,8 +264,8 @@
     PipeReader stderr_reader{child_stderr, stderr_contents};
     PipeWriter stdin_writer{child_stdin, input};
 
-    // block SIGCHLD to make sure we wont receive it before
-    // our call to pselect, that will end up blocking indefinitly.
+    // block SIGCHLD to make sure we won't receive it before
+    // our call to pselect, that will end up blocking indefinitely.
     sigset_t mask, orig_mask;
     sigemptyset(&mask);
     sigaddset(&mask, SIGCHLD);
--- a/src/insert_completer.cc
+++ b/src/insert_completer.cc
@@ -123,7 +123,7 @@
     // Remove words that are being edited
     for (auto& word_count : sel_word_counts)
     {
-        if (word_db.get_word_occurences(word_count.key) <= word_count.value)
+        if (word_db.get_word_occurrences(word_count.key) <= word_count.value)
             unordered_erase(matches, word_count.key);
     }
 
--- a/src/word_db.cc
+++ b/src/word_db.cc
@@ -196,7 +196,7 @@
         rebuild_db();
 }
 
-int WordDB::get_word_occurences(StringView word) const
+int WordDB::get_word_occurrences(StringView word) const
 {
     auto it = m_words.find(word);
     if (it != m_words.end())
@@ -243,8 +243,8 @@
     auto res = word_db.find_matching("");
     std::sort(res.begin(), res.end(), cmp_words);
     kak_assert(eq(res, WordList{ "allo", "kanaky", "mutch", "tchaa", "tchou" }));
-    kak_assert(word_db.get_word_occurences("tchou") == 3);
-    kak_assert(word_db.get_word_occurences("allo") == 1);
+    kak_assert(word_db.get_word_occurrences("tchou") == 3);
+    kak_assert(word_db.get_word_occurrences("allo") == 1);
     buffer.erase({1, 6}, {4, 0});
     res = word_db.find_matching("");
     std::sort(res.begin(), res.end(), cmp_words);
--- a/src/word_db.hh
+++ b/src/word_db.hh
@@ -25,7 +25,7 @@
 
     RankedMatchList find_matching(StringView str);
 
-    int get_word_occurences(StringView word) const;
+    int get_word_occurrences(StringView word) const;
 private:
     void update_db();
     void add_words(StringView line, ConstArrayView<Codepoint> extra_word_chars);
--- a/src/display_buffer.hh
+++ b/src/display_buffer.hh
@@ -141,7 +141,7 @@
     iterator erase(iterator beg, iterator end);
     void push_back(DisplayAtom atom);
 
-    // remove first_col from the begining of the line, and make sure
+    // remove first_col from the beginning of the line, and make sure
     // the line is less that col_count character
     bool trim(ColumnCount first_col, ColumnCount col_count);
 
--- a/src/event_manager.cc
+++ b/src/event_manager.cc
@@ -115,7 +115,7 @@
                       not block or with_timeout ? &ts : nullptr, sigmask);
 
     // copy forced fds *after* select, so that signal handlers can write to
-    // m_forced_fd, interupt select, and directly be serviced.
+    // m_forced_fd, interrupt select, and directly be serviced.
     m_has_forced_fd = false;
     fd_set forced = m_forced_fd;
     FD_ZERO(&m_forced_fd);
--- a/src/remote.cc
+++ b/src/remote.cc
@@ -491,7 +491,7 @@
           }
           catch (const disconnected& err)
           {
-              write_to_debug_buffer(format("Error while transfering remote messages: {}", err.what()));
+              write_to_debug_buffer(format("Error while transferring remote messages: {}", err.what()));
               m_socket_watcher.close_fd();
           }
       }),
@@ -764,9 +764,9 @@
 
 
 // A client accepter handle a connection until it closes or a nul byte is
-// recieved. Everything recieved before is considered to be a command.
+// received. Everything received before is considered to be a command.
 //
-// * When a nul byte is recieved, the socket is handed to a new Client along
+// * When a nul byte is received, the socket is handed to a new Client along
 //   with the command.
 // * When the connection is closed, the command is run in an empty context.
 class Server::Accepter
--- a/src/buffer.hh
+++ b/src/buffer.hh
@@ -52,7 +52,7 @@
 
 constexpr timespec InvalidTime = { -1, -1 };
 
-// A BufferIterator permits to iterate over the characters of a buffer
+// A BufferIterator allows iterating over the characters of a buffer
 class BufferIterator
 {
 public:
@@ -108,7 +108,7 @@
 
 // A Buffer is a in-memory representation of a file
 //
-// The Buffer class permits to read and mutate this file
+// The Buffer class allows one to read and mutate this file
 // representation. It also manage modifications undo/redo and
 // provides tools to deal with the line/column nature of text.
 class Buffer final : public SafeCountable, public Scope, private OptionManagerWatcher
--- a/src/option_manager.cc
+++ b/src/option_manager.cc
@@ -95,7 +95,7 @@
 
 void OptionManager::on_option_changed(const Option& option)
 {
-    // if parent option changed, but we overrided it, it's like nothing happened
+    // if parent option changed, but we overrode it, it's like nothing happened
     if (&option.manager() != this and m_options.contains(option.name()))
         return;
 
--- a/src/utf8_iterator.hh
+++ b/src/utf8_iterator.hh
@@ -11,7 +11,7 @@
 namespace utf8
 {
 
-// adapter for an iterator on bytes which permits to iterate
+// adapter for an iterator on bytes which allows iterating
 // on unicode codepoints instead.
 template<typename BaseIt,
          typename Sentinel = BaseIt,
--- a/src/utils.hh
+++ b/src/utils.hh
@@ -58,7 +58,7 @@
 // usage:
 // auto cleaner = on_scope_end([]() { ... });
 //
-// This permits to cleanup c-style resources without implementing
+// This allows cleaning up c-style resources without implementing
 // a wrapping class
 template<typename T>
 class OnScopeEnd
--- a/VIMTOKAK
+++ b/VIMTOKAK
@@ -30,7 +30,7 @@
 
 Explanation: '%' selects the entire buffer, 's' opens a prompt for a
 regex, <ret> validates the regex and replace the selection with one
-per matches (hence, all occurences of word are selected). 'c' deletes
+per matches (hence, all occurrences of word are selected). 'c' deletes
 the selection contents and enter insert mode, replacement is typed
 and <esc> goes back to normal mode.
 
--- a/contrib/TRAMPOLINE
+++ b/contrib/TRAMPOLINE
@@ -440,7 +440,7 @@
 
                     Example: to select a paragraph to append a newline
      .---, .---,    character to it and cycle through the following paragraphs
-     |alt|+| . |    to repeat the same insertion an arbitrary amount of times,
+     |alt|+| . |    to repeat the same insertion an arbitrary number of times,
      `---' `---'    one would first select the paragraph with `]p`, append a
                     newline to it `a<ret><esc>`, then repeat both operations
                     as needed with `<a-.>` and `.` respectively.
--- a/doc/pages/buffers.asciidoc
+++ b/doc/pages/buffers.asciidoc
@@ -31,7 +31,7 @@
 - Display profiling is disabled
 
 A specific *\*debug*\* buffer is used by Kakoune to write errors or
-warnings.  This is also where the ouput of the `:debug` and the `:echo
+warnings.  This is also where the output of the `:debug` and the `:echo
 -debug` commands will land.
 
 A debug buffer can be created by passing the `-debug` switch to the
--- a/doc/pages/changelog.asciidoc
+++ b/doc/pages/changelog.asciidoc
@@ -134,7 +134,7 @@
   `-shell-script-candidates` to make way for a new `-shell-completion`
   which completes like the shell (shell command name then filename).
 
-* `asciidoc` is not a dependency anymore, the last file that requiered
+* `asciidoc` is not a dependency anymore, the last file that required
   it (Kakoune's manpage) has been converted to troff format.
 
 == Kakoune 2018.09.04
--- a/doc/pages/faces.asciidoc
+++ b/doc/pages/faces.asciidoc
@@ -95,7 +95,7 @@
     face for additional information for elements in menus
 
 *Information*::
-    face for the informations windows and information messages
+    face for the information windows and information messages
 
 *Error*::
     face of error messages
--- a/rc/detection/modeline.kak
+++ b/rc/detection/modeline.kak
@@ -64,7 +64,7 @@
         # The following subshell will keep the actual options of the modeline, and strip:
         # - the text that leads the first option, according to the official vim modeline format
         # - the trailing text after the last option, and an optional ':' sign before it
-        # It will also convert the ':' seperators beween the option=value pairs
+        # It will also convert the ':' separators between the option=value pairs
         # More info: http://vimdoc.sourceforge.net/htmldoc/options.html#modeline
         printf %s "${kak_selection}" | sed          \
                 -e 's/^[^:]\{1,\}://'               \
--- a/rc/filetype/c-family.kak
+++ b/rc/filetype/c-family.kak
@@ -160,7 +160,7 @@
         execute-keys -draft <a-?>/\*<ret><a-H> <a-K>\*/<ret> <a-k>\A\h*/\*([^\n]*\n\h*\*)*[^\n]*\n\h*.\z<ret>
 
         try %[
-            # if the previous line is opening the comment, insert star preceeded by space
+            # if the previous line is opening the comment, insert star preceded by space
             execute-keys -draft k<a-x><a-k>^\h*/\*<ret>
             execute-keys -draft i*<space><esc>
         ] catch %[
--- a/rc/filetype/protobuf.kak
+++ b/rc/filetype/protobuf.kak
@@ -41,7 +41,7 @@
 add-highlighter shared/protobuf/code/ regex %{(0x)?[0-9]+\b} 0:value
 
 evaluate-commands %sh{
-    # Grammer
+    # Grammar
     keywords='default deprecated enum extend import message oneof option
               package service syntax'
     attributes='optional repeated required'
@@ -51,7 +51,7 @@
 
     join() { sep=$2; eval set -- $1; IFS="$sep"; echo "$*"; }
 
-    # Add the language's grammer to the static completion list
+    # Add the language's grammar to the static completion list
     printf %s\\n "declare-option str-list protobuf_static_words $(join "${keywords} ${attributes} ${types} ${values}" ' ')"
 
     # Highlight keywords
--- a/rc/tools/autowrap.kak
+++ b/rc/tools/autowrap.kak
@@ -7,7 +7,7 @@
 } bool autowrap_format_paragraph no
 declare-option -docstring %{
     command to which the paragraphs to wrap will be passed
-    all occurences of '%c' are replaced with `autowrap_column`
+    all occurrences of '%c' are replaced with `autowrap_column`
 } str autowrap_fmtcmd 'fold -s -w %c'
 
 define-command -hidden autowrap-cursor %{ evaluate-commands -save-regs '/"|^@m' %{
--- a/rc/tools/doc.kak
+++ b/rc/tools/doc.kak
@@ -39,7 +39,7 @@
 define-command -hidden doc-parse-anchors %{
     evaluate-commands -draft %{ try %{
         set-option buffer doc_anchors %val{timestamp}
-        # Find sections as add them as imlicit anchors
+        # Find sections as add them as implicit anchors
         execute-keys <percent> s ^={2,}\h+([^\n]+)$ <ret>
         evaluate-commands -itersel %{
             set-option -add buffer doc_anchors "%val{selection_desc}|%sh{printf '%s' ""$kak_main_reg_1"" | tr '[A-Z ]' '[a-z-]'}"
--- a/rc/tools/go/go-tools.kak
+++ b/rc/tools/go/go-tools.kak
@@ -162,7 +162,7 @@
                     ;;
                 *)
                         printf %s\\n "evaluate-commands -client '${kak_client}' %{
-                            echo -error %{unkown command '$1'}
+                            echo -error %{unknown command '$1'}
                         }" | kak -p ${kak_session}
                     ;;
 
@@ -171,7 +171,7 @@
     }
 }
 
-define-command go-doc-info -docstring "Show the documention of the symbol under the cursor" %{
+define-command go-doc-info -docstring "Show the documentation of the symbol under the cursor" %{
     gogetdoc-cmd "info"
 }
 
--- a/rc/tools/grep.kak
+++ b/rc/tools/grep.kak
@@ -55,7 +55,7 @@
         buffer '*grep*'
         # First jump to end of buffer so that if grep_current_line == 0
         # 0g<a-l> will be a no-op and we'll jump to the first result.
-        # Yeah, thats ugly...
+        # Yeah, that's ugly...
         execute-keys "ge %opt{grep_current_line}g<a-l> /^[^:]+:\d+:<ret>"
         grep-jump
     }
--- a/src/hook_manager.cc
+++ b/src/hook_manager.cc
@@ -68,7 +68,7 @@
     auto& disabled_hooks = context.options()["disabled_hooks"].get<Regex>();
 
     struct ToRun { HookData* hook; MatchResults<const char*> captures; };
-    Vector<ToRun> hooks_to_run; // The m_hooks_trash vector ensure hooks wont die during this method
+    Vector<ToRun> hooks_to_run; // The m_hooks_trash vector ensure hooks won't die during this method
     for (auto& hook : hook_list)
     {
         MatchResults<const char*> captures;
--- a/src/option.hh
+++ b/src/option.hh
@@ -12,7 +12,7 @@
 class String;
 enum class Quoting;
 
-// Forward declare functions that wont get found by ADL
+// Forward declare functions that won't get found by ADL
 inline String option_to_string(int opt);
 inline String option_to_string(size_t opt);
 inline String option_to_string(bool opt);
--- a/src/ranked_match.cc
+++ b/src/ranked_match.cc
@@ -186,7 +186,7 @@
     if (diff != Flags::None)
         return (int)(m_flags & diff) > (int)(other.m_flags & diff);
 
-    // If we are SingleWord, FirstCharMatch will do the job, and we dont want to take
+    // If we are SingleWord, FirstCharMatch will do the job, and we don't want to take
     // other words boundaries into account.
     if (not (m_flags & (Flags::Prefix | Flags::SingleWord)) and
         m_word_boundary_match_count != other.m_word_boundary_match_count)
--- a/src/regex_impl.cc
+++ b/src/regex_impl.cc
@@ -914,7 +914,7 @@
         return res;
     }
 
-    // Mutate start_desc with informations on which Codepoint could start a match.
+    // Mutate start_desc with information on which Codepoint could start a match.
     // Returns true if the node possibly does not consume the char, in which case
     // the next node would still be relevant for the parent node start chars computation.
     template<RegexMode direction>
--- a/rc/filetype/fsharp.kak
+++ b/rc/filetype/fsharp.kak
@@ -94,7 +94,7 @@
 add-highlighter shared/fsharp/code/ regex "\w+!" 0:keyword
 # brackets
 add-highlighter shared/fsharp/code/ regex "[\[\]\(\){}]" 0:bracket
-# accomodate typically overloaded operators
+# accommodate typically overloaded operators
 add-highlighter shared/fsharp/code/ regex "\B(<<>>|<\|\|>)\B" 0:operator
 # fsharp operators
 add-highlighter shared/fsharp/code/ regex "\B(->|<-|<=|>=)\B" 0:operator
--- a/rc/filetype/rust.kak
+++ b/rc/filetype/rust.kak
@@ -121,7 +121,7 @@
                 execute-keys -draft <a-?>/\*<ret><a-H> <a-K>\*/<ret> <a-k>\A\h*/\*([^\n]*\n\h*\*)*[^\n]*\n\h*.\z<ret>
 
                 try %[
-                    # if the previous line is opening the comment, insert star preceeded by space
+                    # if the previous line is opening the comment, insert star preceded by space
                     execute-keys -draft k<a-x><a-k>^\h*/\*<ret>
                     execute-keys -draft i*<space><esc>
                 ] catch %[
